<!--
 * @Author: zhp
 * @Date: 2023-04-18 09:11:41
 * @LastEditTime: 2023-04-18 09:11:41
 * @LastEditors: zhp
 * @Description: 
-->

<template>
  <div class="tableInner">
    <el-input v-model="list[itemProp]" @blur="changeInput" />
  </div>
</template>
<script>
export default {
  name: 'InputArea',
  props: {
    injectData: {
      type: Object,
      default: () => ({})
    },
    itemProp: {
      type: String
    }
  },
  data() {
    return {
      list: this.injectData
    }
  },
  methods: {
    changeInput() {
      console.log(this.list)
      this.$emit('emitData', this.list)
    }
  }
}
</script>
<style lang="css">
.tableInner .el-input__inner {
  border: none;
  padding: 0;
  height: 33px;
}
</style>
